/***{{{*******************************************************************
 * This file is part of libco - object library for C                     *
 * Copyright (c) 2002                                                    *
 *     Peter Rockai (yenar) <yenar@host.sk>                              *
 *                                                                       *
 * This library is free software; you can redistribute it and/or         *
 * modify it under the terms of the GNU Lesser General Public            *
 * License as published by the Free Software Foundation; either          *
 * version 2 of the License, or (at your option) any later version.      *
 *                                                                       *
 * This library is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 * Lesser General Public License for more details.                       *
 *                                                                       *
 * You should have received a copy of the GNU Lesser General Public      *
 * License along with this library; if not, write to the Free Software   *
 * Foundation, Inc., 59 Temple Place, Suite 330,                         *
 * Boston, MA 02111-1307  USA                                            *
 *******************************************************************}}}***/
/* {{{ file description */
/**
 * @file co_conv.h
 * @brief Convenience macros for use with libco.
 * @warning Macros in this header doesn't use _co_* namespace!
 **/
/* }}} */

#ifndef __CO_MACROS_H__
#define __CO_MACROS_H__

/* {{{ includes */
#include "co_object.h"
#include "co_debug.h"
/* }}} */

#define DBG CO_DEBUG
#define M CO_M
#define N CO_NEW
#define N_p CO_NEW_P
#define P CO_P
#define E CO_EV
#define D CO_D
#define I18N(str) co_i18n (str)
#define I18N_NOOP(str) str

#endif /* __CO_MACROS_H__ */
